Page MenuHomeFreeBSD

Update devel/qbs and devel/qtcreator to 1.9,0 and 4.4.0 respectively
ClosedPublic

Authored by tcberner on Sep 7 2017, 2:11 PM.

Details

Summary
  • Now requires WebEngine for the html documentation
  • Requires a work-around for 10.3, see [1]

[1] https://github.com/akrzemi1/Optional/issues/24

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner created this revision.Sep 7 2017, 2:11 PM
adridg accepted this revision.Sep 7 2017, 2:38 PM

lgtm; we talked about the clang workaround for 10.3 on IRC, and I've built it on 10.3@amd64 successfully.

This revision is now accepted and ready to land.Sep 7 2017, 2:38 PM
adridg added a comment.Sep 7 2017, 2:40 PM

.. only comment I'd have is now we have designer, depending on webkit, and creator, depending on webengine and designer, so there's a bit of an overload of web-thingies being built for this port.

This revision was automatically updated to reflect the committed changes.